import { RecordModel } from "pocketbase";
import * as pbf from "@nedpals/pbf";
import { z } from "zod";
interface IUseRecordOptions {
    realtime?: boolean;
    validator?: z.AnyZodObject;
    expand?: string[];
}
export declare function useRecord<T>(collection: string, id: () => string, options?: IUseRecordOptions): {
    loading: boolean;
    record: (T & RecordModel) | null;
    error: Error | null;
};
interface IUseRecordsOptions {
    realtime?: boolean;
    validator?: z.AnyZodObject;
    filter?: () => pbf.MaybeFilter<pbf.Filter> | undefined;
    expand?: string[];
}
export declare function useRecords<T>(collection: string, options?: IUseRecordsOptions): {
    loading: boolean;
    records: (T & RecordModel)[];
    error: Error | null;
};
export {};
