import { createContext, useContext } from "solid-js";
import PocketBaseClient from "pocketbase";


const PBContext = createContext<PocketBaseClient>();

export const usePB = () => {
   const ctx = useContext(PBContext)
   if (!ctx) throw new Error("This hook must be used within a PBContext.Provider!");

   return ctx;
};


export default PBContext;